// --------------------------------------------------------------------
// DEFINITIONS
// --------------------------------------------------------------------

new AudioDescription(AudioNonLooping)
{
   volume   = 1.0;
   
   isLooping= false;
   is3D     = false;
   type     = $sfxAudioType;
};

new AudioDescription(AudioLooping)
{
   volume   = 1.0;
   
   isLooping= true;
   is3D     = false;
   type     = $MusicAudioType;
};



new AudioDescription(AudioLooping2)
{
   volume   = 1.0;
   
   isLooping= true;
   is3D     = false;
   type     = $sfxAudioType;
};

// --------------------------------------------------------------------
// SFX
// --------------------------------------------------------------------



new AudioProfile(getReadyy)
{
	filename = "~/data/audio/getready.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(select_spell)
{
	filename = "~/data/audio/select_gui_spell.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(rock_blow)
{
	filename = "~/data/audio/spells/rocks_broken.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(mouse_over_piece)
{
	filename = "~/data/audio/mouse_over.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(make_score)
{
	filename = "~/data/audio/score_fly.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(make_score1)
{
	filename = "~/data/audio/score_fly_01.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(make_score2)
{
	filename = "~/data/audio/score_fly_02.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(make_score3)
{
	filename = "~/data/audio/score_fly_03.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(make_score4)
{
	filename = "~/data/audio/score_fly_04.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(make_score5)
{
	filename = "~/data/audio/score_fly_05.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(make_score6)
{
	filename = "~/data/audio/score_fly_06.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(dynamite_fall)
{
	filename = "~/data/audio/spells/dynamite_spell.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(select)
{
	filename = "~/data/audio/select_piece.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(mouse_over)
{
	filename = "~/data/audio/mouse_over.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(start_construction)
{
	filename = "~/data/audio/build_buildings.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(button_click)
{
	filename = "~/data/audio/button_click.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(bubbles)
{
	filename = "~/data/audio/bubbles_match.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(bubbles_2)
{
	filename = "~/data/audio/bubbles_match.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(hammer)
{
	filename = "~/data/audio/spells/hammer_altantis.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(dynamite)
{
	filename = "~/data/audio/spells/underwater_dynamite.ogg";
	description = "AudioNonLooping";
	preload = false;
};



new AudioProfile(marble)
{
	filename = "~/data/audio/spells/spell_marble.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(start_match3)
{
	filename = "~/data/audio/play_before_start_game.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(medusa_ray)
{
	filename = "~/data/audio/spells/spell_medusa.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(rock_blaster)
{
	filename = "~/data/audio/spells/spell_rockblaster.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(twins_spell)
{
	filename = "~/data/audio/spells/spell_twin.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(hand_spell_up)
{
	filename = "~/data/audio/spells/swapper_lift.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(hand_spell_dn)
{
	filename = "~/data/audio/spells/swapper_drop.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(hand_spell)
{
	filename = "~/data/audio/spells/swapper.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(typeAudio)
{
	filename = "~/data/audio/typewritter.ogg";
	description = "AudioNonLooping";
	preload = false;
};



// -------------------
// ---- INTERFACE ----
// -------------------

new AudioProfile(advisor_popup)
{
	filename = "~/data/audio/advisor_chat_popup.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(constructions_tab)
{
	filename = "~/data/audio/construction_advisor_menu.ogg";
	description = "AudioNonLooping";
	preload = false;
};


// -------------------
// ----- MATCH 3 -----
// -------------------


new AudioProfile(tiles_outAudio)
{
	filename = "~/data/audio/match_3.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(tiles_outAudiox4)
{
	filename = "~/data/audio/match_3_02.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(tiles_outAudiox5)
{
	filename = "~/data/audio/match_3_03.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(powerup)
{
	filename = "~/data/audio/flame_move_to_gui.ogg";
	description = "AudioNonLooping";
	preload = false;
};




new AudioProfile(alarm_sound)
{
	filename = "~/data/audio/new_sounds/sirens.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(rock_flame)
{
	filename = "~/data/audio/new_sounds/rock_move_flames.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(spider_move_to_tile)
{
	filename = "~/data/audio/new_sounds/spider_move_flames.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(gui_powerup)
{
	filename = "~/data/audio/gui_explosion.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(spider_explode)
{
	filename = "~/data/audio/new_sounds/spider_explosion.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(getreadyfx)
{
	filename = "~/data/audio/getready.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(init_board)
{
	filename = "~/data/audio/intro_tile_pieces_fly_into_board.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(erro_sound)
{
	filename = "~/data/audio/error.ogg";
	description = "AudioNonLooping";
	preload = false;
};



new AudioProfile(good_game)
{
	filename = "~/data/audio/welld.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(twin_fly)
{
	filename = "~/data/audio/spells/brotherhood_fly.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(twin_move)
{
	filename = "~/data/audio/spells/brotherhood_move.ogg";
	description = "AudioLooping2";
	preload = false;
};



new AudioProfile(spider_move)
{
	filename = "~/data/audio/spells/medusa_move.ogg";
	description = "AudioLooping2";
	preload = false;
};

new AudioProfile(spiderAudio)
{
	filename = "~/data/audio/new_sounds/medusa_match.ogg";
	description = "AudioNonLooping";
	preload = false;
};




new AudioProfile(plasma_move)
{
	filename = "~/data/audio/spells/plasma_move.ogg";
	description = "AudioLooping2";
	preload = false;
};

new AudioProfile(fireball_move)
{
	filename = "~/data/audio/spells/fireball_move.ogg";
	description = "AudioLooping2";
	preload = false;
};

new AudioProfile(time_penalty2)
{
	filename = "~/data/audio/ingame_voices/time_penalty.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(extra_time2)
{
	filename = "~/data/audio/ingame_voices/extra_time.ogg";
	description = "AudioNonLooping";
	preload = false;
};



// -------------------
// ----- MUSIC  ------
// -------------------

new AudioProfile(M1_under_sea)
{
	filename = "~/data/audio/music/Under a Beatiful Sea.ogg";
	description = "AudioLooping";
	preload = false;
};

new AudioProfile(Music_menu)
{
	filename = "~/data/audio/music/AquaWorld_O.ogg";
	description = "AudioLooping";
	preload = false;
};

new AudioProfile(intro_music)
{
	filename = "~/data/audio/music/Dancing_Waters.ogg";
	description = "AudioLooping";
	preload = false;
};



new AudioProfile(intro_music2)
{
	filename = "~/data/audio/music/In to the blue.ogg";
	description = "AudioLooping";
	preload = false;
};


//// INTRO VOICE OVER ///////

new AudioProfile(splash_audio)
{
	filename = "~/data/audio/intro/splash.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(spell_audio)
{
	filename = "~/data/audio/intro/spell_intro.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(seagulls_audio)
{
	filename = "~/data/audio/intro/seagulls.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(john1)
{
	filename = "~/data/audio/intro/john1.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(john2)
{
	filename = "~/data/audio/intro/john2.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(john3)
{
	filename = "~/data/audio/intro/john3.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(john4)
{
	filename = "~/data/audio/intro/john4.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(john5)
{
	filename = "~/data/audio/intro/john5.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(john6)
{
	filename = "~/data/audio/intro/john6.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(john7)
{
	filename = "~/data/audio/intro/john7.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(john8)
{
	filename = "~/data/audio/intro/john8.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(john9)
{
	filename = "~/data/audio/intro/john9.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(john10)
{
	filename = "~/data/audio/intro/john10.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(john11)
{
	filename = "~/data/audio/intro/john11.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(john12)
{
	filename = "~/data/audio/intro/john12.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(john13)
{
	filename = "~/data/audio/intro/john13.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(john14)
{
	filename = "~/data/audio/intro/john14.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(john15)
{
	filename = "~/data/audio/intro/john15.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(john16)
{
	filename = "~/data/audio/intro/john16.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(john17)
{
	filename = "~/data/audio/intro/john17.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(john18)
{
	filename = "~/data/audio/intro/john18.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(john19)
{
	filename = "~/data/audio/intro/john19.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(chuck1)
{
	filename = "~/data/audio/intro/chuck1.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(chuck2)
{
	filename = "~/data/audio/intro/chuck2.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(chuck3)
{
	filename = "~/data/audio/intro/chuck3.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(chuck4)
{
	filename = "~/data/audio/intro/chuck4.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(chuck5)
{
	filename = "~/data/audio/intro/chuck5.ogg";
	description = "AudioNonLooping";
	preload = false;
};


new AudioProfile(sniff1)
{
	filename = "~/data/audio/intro/sniff1.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(sniff2)
{
	filename = "~/data/audio/intro/sniff2.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(sniff3)
{
	filename = "~/data/audio/intro/sniff3.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(sniff4)
{
	filename = "~/data/audio/intro/sniff4.ogg";
	description = "AudioNonLooping";
	preload = false;
};

//ingame voices
//
new AudioProfile(n_resources)
{
	filename = "~/data/audio/ingame_voices/need_resources.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(current_objective)
{
	filename = "~/data/audio/ingame_voices/current_objective.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(almost_done)
{
	filename = "~/data/audio/ingame_voices/almost_done.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(w_marketplace)
{
	filename = "~/data/audio/ingame_voices/welcome_to_marketplace.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(time_running_out)
{
	filename = "~/data/audio/ingame_voices/time_running_out.ogg";
	description = "AudioNonLooping";
	preload = false;
};





new AudioProfile(hintAudio)
{
	filename = "~/data/audio/new_sounds/hint.ogg";
	description = "AudioNonLooping";
	preload = false;
};



new AudioProfile(boingAudio)
{
	filename = "~/data/audio/new_sounds/boing.ogg";
	description = "AudioLooping2";
	preload = false;
};



new AudioProfile(sparklingAudio)
{
	filename = "~/data/audio/new_sounds/sparkle_circle.ogg";
	description = "AudioLooping2";
	preload = false;
};


new AudioProfile(chuck_final1)
{
	filename = "~/data/audio/final/chuck_final1.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(chuck_final2)
{
	filename = "~/data/audio/final/chuck_final2.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(chuck_final3)
{
	filename = "~/data/audio/final/chuck_final3.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(john_final1)
{
	filename = "~/data/audio/final/john_final1.ogg";
	description = "AudioNonLooping";
	preload = false;
};

new AudioProfile(john_final2)
{
	filename = "~/data/audio/final/john_final2.ogg";
	description = "AudioNonLooping";
	preload = false;
};